#!/bin/sh
top_builddir=${top_builddir:-..}
cr_run=${cr_run:-${top_builddir}/util/cr_run/cr_run}
cr_checkpoint=${cr_checkpoint:-${top_builddir}/util/cr_checkpoint/cr_checkpoint}
for dir in `dirname $0` . ${top_builddir}/tests; do
  test -x ${dir}/pause && break
done
#
${cr_run} -- ${dir}/pause >/dev/null 2>/dev/null &
pid=$!
\rm -f context.$pid 2>/dev/null
trap "\rm -f context.$pid 2>/dev/null" 0
${cr_checkpoint} $pid 2>/dev/null
result=$?
if test $result = 0; then
  : # OK
else
  echo "Checkpoint unexpectedly failed with exit code $result" >&2
  exit 1
fi
kill $pid 2>/dev/null
exec 2>/dev/null # Drop job control message(s)
wait $pid
exit 0
