#!/bin/sh
set -e
top_builddir=${top_builddir:-..}
cr_checkpoint=${cr_checkpoint:-${top_builddir}/util/cr_checkpoint/cr_checkpoint}
cr_restart=${cr_restart:-${top_builddir}/util/cr_restart/cr_restart}
cr_run=${cr_run:-${top_builddir}/util/cr_run/cr_run}
for dir in `dirname $0` . ${top_builddir}/tests; do
  test -x ${dir}/save_aux && break
done
#
cp -f ${dir}/save_aux save_priv_aux
rm -f mapped_[12]
${cr_run} ./save_priv_aux P &
pid=$!
trap "\rm -f context.$pid ./save_priv_aux ./mapped_[12] 2>/dev/null" 0
sleep 5
${cr_checkpoint} --save-private $pid
sleep 2
rm -f ./save_priv_aux ./mapped_[12]
cp /dev/null ./save_priv_aux
${cr_restart} context.$pid
